# Uses of Class
org.apache.zookeeper.client.ZKClientConfig

Packages that use ZKClientConfig
Package
Description
org.apache.zookeeper
org.apache.zookeeper.admin
org.apache.zookeeper.client

## Uses of ZKClientConfig in org.apache.zookeeper

Fields in org.apache.zookeeper declared as ZKClientConfig
Modifier and Type
Field
Description
`protected ZKClientConfig`
ClientCnxnSocket.`clientConfig`
`protected ZKClientConfig`
ClientCnxnSocket.`clientConfig`
Methods in org.apache.zookeeper that return ZKClientConfig
Modifier and Type
Method
Description
`ZKClientConfig`
ZooKeeper.`getClientConfig()`
Constructors in org.apache.zookeeper with parameters of type ZKClientConfig
Modifier
Constructor
Description
``
`ClientCnxn(String chrootPath, HostProvider hostProvider, int sessionTimeout, ZKClientConfig clientConfig, Watcher defaultWatcher, org.apache.zookeeper.ClientCnxnSocket clientCnxnSocket, boolean canBeReadOnly)`
Creates a connection object.
``
`ClientCnxn(String chrootPath, HostProvider hostProvider, int sessionTimeout, ZKClientConfig clientConfig, Watcher defaultWatcher, org.apache.zookeeper.ClientCnxnSocket clientCnxnSocket, long sessionId, byte[] sessionPasswd, boolean canBeReadOnly)`
Creates a connection object.
``
`ZooKeeper(String connectString, int sessionTimeout, Watcher watcher, boolean canBeReadOnly, HostProvider hostProvider, ZKClientConfig clientConfig)`
To create a ZooKeeper client object, the application needs to pass a connection string containing a comma separated list of host:port pairs, each corresponding to a ZooKeeper server.
``
`ZooKeeper(String connectString, int sessionTimeout, Watcher watcher, boolean canBeReadOnly, ZKClientConfig conf)`
To create a ZooKeeper client object, the application needs to pass a connection string containing a comma separated list of host:port pairs, each corresponding to a ZooKeeper server.
``
`ZooKeeper(String connectString, int sessionTimeout, Watcher watcher, long sessionId, byte[] sessionPasswd, boolean canBeReadOnly, HostProvider hostProvider, ZKClientConfig clientConfig)`
To create a ZooKeeper client object, the application needs to pass a connection string containing a comma separated list of host:port pairs, each corresponding to a ZooKeeper server.
``
`ZooKeeper(String connectString, int sessionTimeout, Watcher watcher, ZKClientConfig conf)`
To create a ZooKeeper client object, the application needs to pass a connection string containing a comma separated list of host:port pairs, each corresponding to a ZooKeeper server.

## Uses of ZKClientConfig in org.apache.zookeeper.admin

Constructors in org.apache.zookeeper.admin with parameters of type ZKClientConfig
Modifier
Constructor
Description
``
`ZooKeeperAdmin(String connectString, int sessionTimeout, Watcher watcher, boolean canBeReadOnly, ZKClientConfig conf)`
Create a ZooKeeperAdmin object which is used to perform dynamic reconfiguration operations.
``
`ZooKeeperAdmin(String connectString, int sessionTimeout, Watcher watcher, ZKClientConfig conf)`
Create a ZooKeeperAdmin object which is used to perform dynamic reconfiguration operations.

## Uses of ZKClientConfig in org.apache.zookeeper.client

Methods in org.apache.zookeeper.client with parameters of type ZKClientConfig
Modifier and Type
Method
Description
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd, ZKClientConfig clientConfig, int timeout)`
Send the 4letterword
Constructors in org.apache.zookeeper.client with parameters of type ZKClientConfig
Modifier
Constructor
Description
``
`ZooKeeperSaslClient(String serverPrincipal, ZKClientConfig clientConfig, AtomicReference<Login> loginRef)`